coap_event.h File Reference
`#include "libcoap.h"`
Include dependency graph for coap_event.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | COAP_EVENT_DTLS_CLOSED 0x0000
| (D)TLS events for COAP_PROTO_DTLS and COAP_PROTO_TLS More...
#define | COAP_EVENT_DTLS_CONNECTED 0x01DE
#define | COAP_EVENT_DTLS_RENEGOTIATE 0x01DF
#define | COAP_EVENT_DTLS_ERROR 0x0200
#define | COAP_EVENT_TCP_CONNECTED 0x1001
| TCP events for COAP_PROTO_TCP and COAP_PROTO_TLS. More...
#define | COAP_EVENT_TCP_CLOSED 0x1002
#define | COAP_EVENT_TCP_FAILED 0x1003
#define | COAP_EVENT_SESSION_CONNECTED 0x2001
| CSM exchange events for reliable protocols only. More...
#define | COAP_EVENT_SESSION_CLOSED 0x2002
#define | COAP_EVENT_SESSION_FAILED 0x2003
#define | COAP_EVENT_PARTIAL_BLOCK 0x3001
| BLOCK2 receive errors. More...

## Typedefs

typedef unsigned int | coap_event_t
| Scalar type to represent different events, e.g. More...
typedef int(* | coap_event_handler_t) (coap_session_t *session, const coap_event_t event)
| Type for event handler functions that can be registered with a CoAP context using the unction coap_set_event_handler(). More...

## Functions

void | coap_register_event_handler (coap_context_t *context, coap_event_handler_t hnd)
| Registers the function `hnd` as callback for events from the given CoAP context `context`. More...
COAP_DEPRECATED void | coap_set_event_handler (coap_context_t *context, coap_event_handler_t hnd)
| Registers the function `hnd` as callback for events from the given CoAP context `context`. More...
COAP_DEPRECATED void | coap_clear_event_handler (coap_context_t *context)
| Clears the event handler registered with `context`. More...

## Function Documentation

## coap_clear_event_handler()

COAP_DEPRECATED void coap_clear_event_handler | ( | coap_context_t * | context | ) |

Clears the event handler registered with `context`.

Deprecated:
  Use coap_register_event_handler() instead with NULL for hnd.

Parameters

  context | The CoAP context whose event handler is to be removed.

Definition at line 31 of file coap_event.c.

## coap_set_event_handler()

COAP_DEPRECATED void coap_set_event_handler | ( | coap_context_t * | context,
|  | coap_event_handler_t | hnd
| ) |  |

Registers the function `hnd` as callback for events from the given CoAP context `context`.

Any event handler that has previously been registered with `context` will be overwritten by this operation.

Deprecated:
  Use coap_register_event_handler() instead.

Parameters

  context | The CoAP context to register the event handler with.
  hnd | The event handler to be registered.

Definition at line 25 of file coap_event.c.